For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
    • NVIDIA Switch Infrastructure
    • I want to...
  • Quick Start
    • Start Here
    • Getting Started with Config Manager
    • TUI Wizard Reference
    • Configuration Samples
    • Interfaces
    • Local Development Quick Start
    • First Run Tour
  • Config Manager Overview
    • Config Manager Concepts
    • Getting Started with Nautobot
  • User Guides
    • New Site Bringup
    • Workflow Lifecycle
  • Deployment
    • Hosting Options
    • Network Topology Requirements
    • Firewall Ports
    • Airgapped Deployment
    • Troubleshooting
  • Services
      • Network Infrastructure Automation with Temporal
      • Temporal Deployment Process
      • Temporal CLI
      • Workflows for Day 2 Operations
      • Temporal API
        • GETHealthcheck
        • GETRBAC Config Status
        • GETCurrent User Info
          • GETGet Devices
          • GETGet Device ID by Name
          • GETGet Device Password Users
          • GETGet Secret Types for Device
          • GETGet Device Secrets
          • GETGet Diagnostics Commands
          • GETGet Locations
          • GETGet Roles
          • GETGet AIR Simulations
          • GETGet Sites
          • GETGet Statuses
          • GETGet Tenants
NVIDIANVIDIA
Developer-friendly docs for your API
Privacy Policy | Your Privacy Choices | Terms of Service | Accessibility | Corporate Policies | Product Security | Contact

Copyright © 2026, NVIDIA Corporation.

LogoLogo
ServicesTemporal ServiceTemporal APIparameters

Get Statuses

||View as Markdown|
GET
https://host.com/v1/parameter/status
GET
/v1/parameter/status
$curl https://host.com/v1/parameter/status \
> -H "Content-Type: application/json"
1[
2 {
3 "id": "active",
4 "name": "Active"
5 },
6 {
7 "id": "pending",
8 "name": "Pending"
9 },
10 {
11 "id": "archived",
12 "name": "Archived"
13 }
14]

Return a list of statuses. Optional content_type filters to that object type.

Previous

Get Sites

Next

Get Tenants

Query parameters

content_typestring or nullOptional

Filter by content type (e.g. dcim.device, circuits.circuit)

Response

Successful Response
idstring
namestring

Errors

422
Unprocessable Entity Error